eclipse中正常启动项目可以,Debug启动不起来? 5C

所有断点已经清空

7个回答

https://blog.csdn.net/XUELEI001/article/details/70050838
取消所有断点,然后在debug启动,启动完成后再打断点

qq_38284258
qq_38284258 已经全部取消了
一年多之前 回复

重新启动几次就可以了,希望可以帮到你。

没有配置debug 吗? 或者是没有设置断点?

将断点取消,重新启动eclipse,图片说明
红色部分点击取消

qq_38284258
qq_38284258 已经全部取消了
一年多之前 回复

tomcat端口设置得和eclipse的端口设置相同

都没调用到你的代码肯定debug没反应啊

把debug里的超时时长设置大点,然后重新启动服务器

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
Eclipse中Tomcat能正常启动,但是在debug模式中不能正常启动。
![图片说明](https://img-ask.csdn.net/upload/201601/12/1452600521_271409.png)
eclipse中 jboss启动 debug模式,程序特别慢?
断点打的也不多,启动服务器还是正常速度,但是只要debug就运行的特别慢,这是怎么回事,求大神指教!
springboot 在eclipse中正常启动,打包成jar包启动报错。
如题,我在eclipse中可以正常启动,无报错。 但是打成包后通过java -jar启动报如下错误 ``` 2019-04-12 15:09:42.682 INFO 6356 --- [main] com.alibaba.druid.pool.DruidDataSource : {dataSource-1} inited 2019-04-12 15:09:45.151 WARN 6356 --- [main] ConfigServletWebServerApplicationContext : Exception encountered during context initialization - cancelling refresh attempt: org.springframework.beans.factory.UnsatisfiedDependencyException: Error creating bean with name 'apiController': Unsatisfied dependency expressed through field 'userMapper'; nested exception is org.springframework.beans.factory.UnsatisfiedDependencyException: Error creating bean with name 'userMapper' defined in URL [jar:file:/C:/monitored.jar!/BOOT-INF/classes!/com/zsyt/monitored/modular/system/mapper/UserMapper.class]: Unsatisfied dependency expressed through bean property 'sqlSessionFactory'; nested exception is org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'sqlSessionFactory' defined in class path resource [com/baomidou/mybatisplus/spring/boot/starter/MybatisPlusAutoConfiguration.class]: Bean instantiation via factory method failed; nested exception is org.springframework.beans.BeanInstantiationException: Failed to instantiate [org.apache.ibatis.session.SqlSessionFactory]: Factory method 'sqlSessionFactory' threw exception; nested exception is org.springframework.core.NestedIOException: Failed to parse mapping resource: 'URL [jar:file:C:\\monitored.jar!/BOOT-INF/classes/com/zsyt/monitored/modular/system/mapper/mapping/ClassifyMapper.xml]'; nested exception is org.apache.ibatis.builder.BuilderException: Error parsing Mapper XML. The XML location is 'URL [jar:file:C:\\monitored.jar!/BOOT-INF/classes/com/zsyt/monitored/modular/system/mapper/mapping/ClassifyMapper.xml]'. Cause: java.lang.IllegalArgumentException: Result Maps collection already contains value for com.zsyt.monitored.modular.system.mapper.ClassifyMapper.BaseResultMap 2019-04-12 15:09:45.180 INFO 6356 --- [main] com.alibaba.druid.pool.DruidDataSource : {dataSource-1} closed 2019-04-12 15:09:45.182 INFO 6356 --- [main] o.s.c.ehcache.EhCacheManagerFactoryBean : Shutting down EhCache CacheManager 2019-04-12 15:09:45.262 INFO 6356 --- [main] o.apache.catalina.core.StandardService : Stopping service [Tomcat] 2019-04-12 15:09:45.339 INFO 6356 --- [main] ConditionEvaluationReportLoggingListener : Error starting ApplicationContext. To display the conditions report re-run your application with 'debug' enabled. 2019-04-12 15:09:45.353 ERROR 6356 --- [main] o.s.boot.SpringApplication : Application run failed org.springframework.beans.factory.UnsatisfiedDependencyException: Error creating bean with name 'apiController': Unsatisfied dependency expressed through field 'userMapper'; nested exception is org.springframework.beans.factory.UnsatisfiedDependencyException: Error creating bean with name 'userMapper' defined in URL [jar:file:/C:/monitored.jar!/BOOT-INF/classes!/com/zsyt/monitored/modular/system/mapper/UserMapper.class]: Unsatisfied dependency expressed through bean property 'sqlSessionFactory'; nested exception is org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'sqlSessionFactory' defined in class path resource [com/baomidou/mybatisplus/spring/boot/starter/MybatisPlusAutoConfiguration.class]: Bean instantiation via factory method failed; nested exception is org.springframework.beans.BeanInstantiationException: Failed to instantiate [org.apache.ibatis.session.SqlSessionFactory]: Factory method 'sqlSessionFactory' threw exception; nested exception is org.springframework.core.NestedIOException: Failed to parse mapping resource: 'URL [jar:file:C:\\monitored.jar!/BOOT-INF/classes/com/zsyt/monitored/modular/system/mapper/mapping/ClassifyMapper.xml]'; nested exception is org.apache.ibatis.builder.BuilderException: Error parsing Mapper XML. The XML location is 'URL [jar:file:C:\\monitored.jar!/BOOT-INF/classes/com/zsyt/monitored/modular/system/mapper/mapping/ClassifyMapper.xml]'. Cause: java.lang.IllegalArgumentException: Result Maps collection already contains value for com.zsyt.monitored.modular.system.mapper.ClassifyMapper.BaseResultMap at org.springframework.beans.factory.annotation.AutowiredAnnotationBeanPostProcessor$AutowiredFieldElement.inject(AutowiredAnnotationBeanPostProcessor.java:587) at org.springframework.beans.factory.annotation.InjectionMetadata.inject(InjectionMetadata.java:91) at org.springframework.beans.factory.annotation.AutowiredAnnotationBeanPostProcessor.postProcessPropertyValues(AutowiredAnnotationBeanPostProcessor.java:373) at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.populateBean(AbstractAutowireCapableBeanFactory.java:1344) at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBean(AbstractAutowireCapableBeanFactory.java:578) at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactory.java:501) at org.springframework.beans.factory.support.AbstractBeanFactory.lambda$doGetBean$0(AbstractBeanFactory.java:317) at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton(DefaultSingletonBeanRegistry.java:228) at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:315) at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:199) at org.springframework.beans.factory.support.DefaultListableBeanFactory.preInstantiateSingletons(DefaultListableBeanFactory.java:760) at org.springframework.context.support.AbstractApplicationContext.finishBeanFactoryInitialization(AbstractApplicationContext.java:869) at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:550) at org.springframework.boot.web.servlet.context.ServletWebServerApplicationContext.refresh(ServletWebServerApplicationContext.java:140) at org.springframework.boot.SpringApplication.refresh(SpringApplication.java:759) at org.springframework.boot.SpringApplication.refreshContext(SpringApplication.java:395) at org.springframework.boot.SpringApplication.run(SpringApplication.java:327) at org.springframework.boot.SpringApplication.run(SpringApplication.java:1255) at org.springframework.boot.SpringApplication.run(SpringApplication.java:1243) at com.zsyt.monitored.GunsApplication.main(GunsApplication.java:22) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) at java.lang.reflect.Method.invoke(Unknown Source) at org.springframework.boot.loader.MainMethodRunner.run(MainMethodRunner.java:48) at org.springframework.boot.loader.Launcher.launch(Launcher.java:87) at org.springframework.boot.loader.Launcher.launch(Launcher.java:50) at org.springframework.boot.loader.JarLauncher.main(JarLauncher.java:51) ``` 然后更精彩的是这个jar包在服务器上(win server2012)也能正常启动无报错。 然而在我的打包环境(win7 64 企业版)无法启动。
eclipse中springboot在类中使用@Transactional和@Async后,打断点进行debug就会提示missing line number?
项目使用springboot开发,有几个类中使用了@Transactional事物回滚注解或者是@Async异步任务。 后面要调试的时候在类中加断点,debug一启动就会报错。![图片说明](https://img-ask.csdn.net/upload/201911/15/1573803462_938332.png) 其他类中的断点都能正常进入,只有这些类的断点会报这个错误,如果跟进去的话就会进到spring框架的一个aop类里面 ![图片说明](https://img-ask.csdn.net/upload/201911/15/1573803645_944062.png) 急死了,现在异步任务功能无效,又调试不了!!! 网上找的各种方法都不行,搜又搜不到跟我同样问题的,请问有朋友遇到过相同的问题吗???很急!!重赏!!!
myeclipse部署项目后,debug模式启动,总是弹出Class.class文件
myeclipse部署项目后,启动tomcat用debug模式启动是出现debug窗口,但是总是弹出Class.class文件,,,启动的时候也是卡在这里就不动了。。![图片说明](https://img-ask.csdn.net/upload/201506/13/1434204737_47311.png)
关于eclipse中启动tomcat的方式疑问
![图片说明](https://img-ask.csdn.net/upload/201606/18/1466253443_721382.jpg) 请问eclipse中 1,直接点击tomcat插件启动tomcat 2,在server选项卡中先add一个项目进tomcat,再debug启动tomat 这两种方式有什么不同呢?
eclipse+maven+tomcat进行debug报错
按照公司的环境配置文档 Maven,jdk,tomcat都配置好了 ![图片说明](https://img-ask.csdn.net/upload/201709/26/1506408274_760191.png) ![图片说明](https://img-ask.csdn.net/upload/201709/26/1506408376_81569.png) tomcat是7.0安装版的 然后导入了一个新建的Maven项目,pom.xml配置如下 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd"> <modelVersion>4.0.0</modelVersion> <groupId>com.a</groupId> <artifactId>wind</artifactId> <packaging>war</packaging> <version>1.0-SNAPSHOT</version> <name>wind Maven Webapp</name> <url>http://maven.apache.org</url> <dependencies> <dependency> <groupId>junit</groupId> <artifactId>junit</artifactId> <version>3.8.1</version> <scope>test</scope> </dependency> </dependencies> <build> <finalName>wind</finalName> </build> </project> 然后在debug configuration中新加了一个debug ![图片说明](https://img-ask.csdn.net/upload/201709/26/1506408601_722266.png) 在debug启动时报错误 Error resolving version for plugin 'org.codehaus.mojo:tomcat-maven-plugin' from the repositories [local (D:\environment\Maven\Mrepository), central (https://repo.maven.apache.org/maven2)]: Plugin not found in any plugin repository 随后我查了一下原因,在pom中加上了 <plugin> <groupId>org.codehaus.mojo</groupId> <artifactId>tomcat-maven-plugin</artifactId> <version>1.1</version> <configuration> <path>/wp</path> <port>8080</port> <uriEncoding>UTF-8</uriEncoding> <url>http://localhost:8080/manager/html</url> <server>tomcat</server> </configuration> </plugin> debug没有报错,但是访问项目的时候一片空白,去到项目下边target下的tomcat,,,webapp下没有任何项目
myeclipse8.6启动报错,debug模式启动不了tomcat。
myeclipse8.6启动tomcat报错,昨天还没有问题这,今天上班来公司就不行了。 今天开始的时候用tomcat7 run能启动,后来run启动又报tomcat7的版本问题, 说32位和64位不对应。 后来我换成了tomcat6还是一样,run模式能启动,但是debug模式还是不行。 请高手指点~~~![图片说明](https://img-ask.csdn.net/upload/201509/02/1441166780_936783.png)
debug模式启动工程,未设置断点却停了
eclipse debug模式启动一个工程,我没设置断点,但是启动的时候却停了,而且停的地方还是依赖的包里的一个类,跳过断点后正常进行,我想知道为什么就停了
eclipse 中写的一个maven工程 debug启动报错 在线等 求大神解决啊
[INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ taotao-manage-web --- [INFO] Using 'UTF-8' encoding to copy filtered resources. [INFO] Copying 9 resources [INFO] [INFO] --- maven-compiler-plugin:3.2:compile (default-compile) @ taotao-manage-web --- [INFO] Nothing to compile - all classes are up to date [INFO] [INFO] <<< tomcat7-maven-plugin:2.2:run (default-cli) < process-classes @ taotao-manage-web <<< [WARNING] The artifact org.apache.commons:commons-io:jar:1.3.2 has been relocated to commons-io:commons-io:jar:1.3.2 [INFO] [INFO] --- tomcat7-maven-plugin:2.2:run (default-cli) @ taotao-manage-web --- [INFO] Running war on http://localhost:8081/ [INFO] Using existing Tomcat server configuration at D:\work\taotao-manage\taotao-manage-web\target\tomcat [ERROR] error creating fake context.xml : 系统找不到指定的路径。 java.io.IOException: 系统找不到指定的路径。 at java.io.WinNTFileSystem.createFileExclusively(Native Method) at java.io.File.createTempFile(File.java:2024) at java.io.File.createTempFile(File.java:2070) at org.apache.tomcat.maven.plugin.tomcat7.run.RunMojo.getContextFile(RunMojo.java:190) at org.apache.tomcat.maven.plugin.tomcat7.run.AbstractRunMojo.createContext(AbstractRunMojo.java:653) at org.apache.tomcat.maven.plugin.tomcat7.run.AbstractRunMojo.startContainer(AbstractRunMojo.java:1091) at org.apache.tomcat.maven.plugin.tomcat7.run.AbstractRunMojo.execute(AbstractRunMojo.java:592) at org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:132) at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:208) at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:153) at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:145) at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:116) at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:80) at org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build(SingleThreadedBuilder.java:51) at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:120) at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:355) at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:155) at org.apache.maven.cli.MavenCli.execute(MavenCli.java:584) at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:216) at org.apache.maven.cli.MavenCli.main(MavenCli.java:160) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) at java.lang.reflect.Method.invoke(Method.java:483) at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:289) at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:229) at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:415) at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:356) [INFO] ------------------------------------------------------------------------ [INFO] BUILD FAILURE [INFO] ------------------------------------------------------------------------ [INFO] Total time: 4.942 s [INFO] Finished at: 2017-06-09T09:35:17+08:00 [INFO] Final Memory: 15M/136M [INFO] ------------------------------------------------------------------------ [ERROR] Failed to execute goal org.apache.tomcat.maven:tomcat7-maven-plugin:2.2:run (default-cli) on project taotao-manage-web: error creating fake context.xml : 系统找不到指定的路径。 -> [Help 1] [ERROR] [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch. [ERROR] Re-run Maven using the -X switch to enable full debug logging. [ERROR] [ERROR] For more information about the errors and possible solutions, please read the following articles: [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException
eclipse无法启动了,日志记录如下。没有安装Oracle。
环境变量如下: %SystemRoot%\system32;%SystemRoot%;%SystemRoot%\System32\Wbem;%JAVA_HOME%\bin;%JAVA_HOME%\jre\bin; C:\Program Files\TortoiseSVN\bin; jdk版本为1.6. 之前还开发的好好的,今天早上就不行了。升级过Flash插件。没安装Oracle,有SQLDevelop。 !SESSION 2014-05-26 16:34:13.138 ----------------------------------------------- eclipse.buildId=4.3.0.I20130605-2000 java.version=1.7.0_25 java.vendor=Oracle Corporation BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=zh_CN Framework arguments: -product org.eclipse.epp.package.rcp.product Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.rcp.product !ENTRY org.eclipse.osgi 2 0 2014-05-26 16:34:14.980 !MESSAGE 由于未解析以下根约束,所以未解析一个或多个束: !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.980 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.mylyn.commons.workbench_3.9.0.v20130612-0100.jar。 !SUBENTRY 2 org.eclipse.mylyn.commons.workbench 2 0 2014-05-26 16:34:14.980 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.980 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.ui.views.properties.tabbed_3.6.0.v20130515-1857.jar。 !SUBENTRY 2 org.eclipse.ui.views.properties.tabbed 2 0 2014-05-26 16:34:14.980 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=CDC/Foundation)(version=1.0))(&(osgi.ee=JavaSE)(version=1.3)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.980 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.jdt.compiler.apt.nl_zh_4.3.0.v20131123020001.jar。 !SUBENTRY 2 org.eclipse.jdt.compiler.apt.nl_zh 2 0 2014-05-26 16:34:14.980 !MESSAGE 缺少主机 org.eclipse.jdt.compiler.apt_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.980 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.egit.mylyn.ui_3.0.0.201306101825-r.jar。 !SUBENTRY 2 org.eclipse.egit.mylyn.ui 2 0 2014-05-26 16:34:14.980 !MESSAGE 缺少已导入包 org.eclipse.ui.plugin_0.0.0。 !SUBENTRY 2 org.eclipse.egit.mylyn.ui 2 0 2014-05-26 16:34:14.980 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.980 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.m2e.logback.appender_1.4.0.20130601-0317.jar。 !SUBENTRY 2 org.eclipse.m2e.logback.appender 2 0 2014-05-26 16:34:14.980 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.980 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.m2e.scm_1.4.0.20130601-0317.jar。 !SUBENTRY 2 org.eclipse.m2e.scm 2 0 2014-05-26 16:34:14.980 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 2 org.eclipse.m2e.scm 2 0 2014-05-26 16:34:14.981 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_3.5.2。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.981 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.mylyn.commons.notifications.ui_1.1.0.v20130612-0100.jar。 !SUBENTRY 2 org.eclipse.mylyn.commons.notifications.ui 2 0 2014-05-26 16:34:14.981 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.981 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.m2e.refactoring_1.4.0.20130601-0317.jar。 !SUBENTRY 2 org.eclipse.m2e.refactoring 2 0 2014-05-26 16:34:14.981 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.refactoring 2 0 2014-05-26 16:34:14.981 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.981 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.compare.win32_1.0.200.v20130514-1224.jar。 !SUBENTRY 2 org.eclipse.compare.win32 2 0 2014-05-26 16:34:14.981 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_[3.5.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.981 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.ui.net_1.2.200.v20120807-0927.jar。 !SUBENTRY 2 org.eclipse.ui.net 2 0 2014-05-26 16:34:14.981 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=CDC/Foundation)(version=1.1)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.981 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.equinox.p2.ui.importexport_1.1.0.v20130327-2119.jar。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.importexport 2 0 2014-05-26 16:34:14.981 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.5))(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=CDC/Foundation)(version=1.1)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.981 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.emf.edit.ui_2.9.0.v20130610-0406.jar。 !SUBENTRY 2 org.eclipse.emf.edit.ui 2 0 2014-05-26 16:34:14.981 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_[3.5.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.981 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.equinox.p2.ui_2.3.0.v20130528-2154.jar。 !SUBENTRY 2 org.eclipse.equinox.p2.ui 2 0 2014-05-26 16:34:14.981 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.5))(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=CDC/Foundation)(version=1.1)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.981 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.m2e.launching_1.4.0.20130601-0317.jar。 !SUBENTRY 2 org.eclipse.m2e.launching 2 0 2014-05-26 16:34:14.981 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.launching 2 0 2014-05-26 16:34:14.981 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.981 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.platform_4.3.0.v20130605-2000/。 !SUBENTRY 2 org.eclipse.platform 2 0 2014-05-26 16:34:14.981 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=CDC/Foundation)(version=1.0))(&(osgi.ee=JavaSE)(version=1.3)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.982 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.m2e.core.ui_1.4.0.20130601-0317.jar。 !SUBENTRY 2 org.eclipse.m2e.core.ui 2 0 2014-05-26 16:34:14.982 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.982 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.mylyn.versions.ui_1.1.0.v20130612-0100.jar。 !SUBENTRY 2 org.eclipse.mylyn.versions.ui 2 0 2014-05-26 16:34:14.982 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.982 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.m2e.editor_1.4.0.20130601-0317.jar。 !SUBENTRY 2 org.eclipse.m2e.editor 2 0 2014-05-26 16:34:14.982 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.editor 2 0 2014-05-26 16:34:14.982 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.982 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.gef_3.9.0.201305060205.jar。 !SUBENTRY 2 org.eclipse.gef 2 0 2014-05-26 16:34:14.982 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_[3.2.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.982 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.ui.workbench.nl_zh_4.3.0.v20131123020001.jar。 !SUBENTRY 2 org.eclipse.ui.workbench.nl_zh 2 0 2014-05-26 16:34:14.982 !MESSAGE 缺少主机 org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.982 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.ui.ide_3.9.0.v20130517-0139.jar。 !SUBENTRY 2 org.eclipse.ui.ide 2 0 2014-05-26 16:34:14.982 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_[3.7.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.982 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.equinox.p2.ui.sdk_1.0.300.v20130503-1750.jar。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.sdk 2 0 2014-05-26 16:34:14.983 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.5))(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=CDC/Foundation)(version=1.1)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.983 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.m2e.jdt_1.4.0.20130601-0317.jar。 !SUBENTRY 2 org.eclipse.m2e.jdt 2 0 2014-05-26 16:34:14.983 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.jdt 2 0 2014-05-26 16:34:14.983 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.983 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.jdt.compiler.tool.nl_zh_4.3.0.v20131123020001.jar。 !SUBENTRY 2 org.eclipse.jdt.compiler.tool.nl_zh 2 0 2014-05-26 16:34:14.983 !MESSAGE 缺少主机 org.eclipse.jdt.compiler.tool_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.983 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.ui_3.105.0.v20130522-1122.jar。 !SUBENTRY 2 org.eclipse.ui 2 0 2014-05-26 16:34:14.983 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=CDC/Foundation)(version=1.0))(&(osgi.ee=JavaSE)(version=1.3)))". !SUBENTRY 2 org.eclipse.ui 2 0 2014-05-26 16:34:14.983 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_[3.105.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.983 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.mylyn.team.cvs_3.9.0.v20130612-0100.jar。 !SUBENTRY 2 org.eclipse.mylyn.team.cvs 2 0 2014-05-26 16:34:14.983 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.983 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.m2e.discovery_1.4.0.20130601-0317.jar。 !SUBENTRY 2 org.eclipse.m2e.discovery 2 0 2014-05-26 16:34:14.983 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:14.984 !MESSAGE 未解析 bundle reference:file:plugins/org.eclipse.m2e.editor.xml_1.4.0.20130601-0317.jar。 !SUBENTRY 2 org.eclipse.m2e.editor.xml 2 0 2014-05-26 16:34:14.984 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !ENTRY org.eclipse.osgi 2 0 2014-05-26 16:34:15.312 !MESSAGE 以下是未解析的束的完整列表,请参阅上一个日志条目以了解根本原因(如果存在该日志条目的话): !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.312 !MESSAGE 未解析 bundle org.eclipse.ant.ui_3.5.400.v20130514-1341 [59]。 !SUBENTRY 2 org.eclipse.ant.ui 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少可选的必需 bundle org.eclipse.ui.ide_[3.2.0,4.0.0)。 !SUBENTRY 2 org.eclipse.ant.ui 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少可选的必需 bundle org.eclipse.ui.views_[3.2.0,4.0.0)。 !SUBENTRY 2 org.eclipse.ant.ui 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少可选的必需 bundle org.eclipse.ui.workbench.texteditor_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.ant.ui 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少可选的必需 bundle org.eclipse.ui.editors_[3.2.0,4.0.0)。 !SUBENTRY 2 org.eclipse.ant.ui 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少必需的 bundle org.eclipse.ui.externaltools_[3.2.0,4.0.0)。 !SUBENTRY 2 org.eclipse.ant.ui 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少必需的 bundle org.eclipse.ui_[3.2.0,4.0.0)。 !SUBENTRY 2 org.eclipse.ant.ui 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少必需的 bundle org.eclipse.ui.console_[3.1.0,4.0.0)。 !SUBENTRY 2 org.eclipse.ant.ui 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少必需的 bundle org.eclipse.debug.ui_[3.6.0,4.0.0)。 !SUBENTRY 2 org.eclipse.ant.ui 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.ui_[3.2.0,4.0.0)。 !SUBENTRY 2 org.eclipse.ant.ui 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.debug.ui_[3.2.0,4.0.0)。 !SUBENTRY 2 org.eclipse.ant.ui 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.junit_[3.5.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.312 !MESSAGE 未解析 bundle org.eclipse.compare_3.5.400.v20130514-1224 [60]。 !SUBENTRY 2 org.eclipse.compare 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少必需的 bundle org.eclipse.ui_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.compare 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_[3.3.0,4.0.0)。 !SUBENTRY 2 org.eclipse.compare 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少必需的 bundle org.eclipse.ui.views_[3.2.0,4.0.0)。 !SUBENTRY 2 org.eclipse.compare 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench.texteditor_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.compare 2 0 2014-05-26 16:34:15.312 !MESSAGE 缺少必需的 bundle org.eclipse.ui.editors_[3.5.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.312 !MESSAGE 未解析 bundle org.eclipse.compare.win32_1.0.200.v20130514-1224 [62]。 !SUBENTRY 2 org.eclipse.compare.win32 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少必需的 bundle org.eclipse.compare_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.compare.win32 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_[3.5.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.313 !MESSAGE 未解析 bundle org.eclipse.debug.ui_3.9.0.v20130516-1713 [86]。 !SUBENTRY 2 org.eclipse.debug.ui 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少必需的 bundle org.eclipse.ui_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.debug.ui 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少必需的 bundle org.eclipse.ui.console_[3.4.0,4.0.0)。 !SUBENTRY 2 org.eclipse.debug.ui 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench.texteditor_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.debug.ui 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.debug.ui 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少必需的 bundle org.eclipse.ui.editors_[3.5.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.313 !MESSAGE 未解析 bundle org.eclipse.egit.doc_3.0.0.201306101825-r [116]。 !SUBENTRY 2 org.eclipse.egit.doc 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少必需的 bundle org.eclipse.ui.cheatsheets_[3.3.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.313 !MESSAGE 未解析 bundle org.eclipse.egit.mylyn.ui_3.0.0.201306101825-r [117]。 !SUBENTRY 2 org.eclipse.egit.mylyn.ui 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少必需的 bundle org.eclipse.ui.navigator.resources_0.0.0。 !SUBENTRY 2 org.eclipse.egit.mylyn.ui 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 2 org.eclipse.egit.mylyn.ui 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.tasks.ui_[3.0.0,4.0.0)。 !SUBENTRY 2 org.eclipse.egit.mylyn.ui 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.team.ui_[3.0.0,4.0.0)。 !SUBENTRY 2 org.eclipse.egit.mylyn.ui 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.resources.ui_[3.0.0,4.0.0)。 !SUBENTRY 2 org.eclipse.egit.mylyn.ui 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench.texteditor_0.0.0。 !SUBENTRY 2 org.eclipse.egit.mylyn.ui 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少已导入包 org.eclipse.egit.ui_[3.0.0,3.1.0)。 !SUBENTRY 2 org.eclipse.egit.mylyn.ui 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少已导入包 org.eclipse.egit.ui.internal.commit_[3.0.0,3.1.0)。 !SUBENTRY 2 org.eclipse.egit.mylyn.ui 2 0 2014-05-26 16:34:15.313 !MESSAGE 缺少已导入包 org.eclipse.egit.ui.internal.synchronize.model_[3.0.0,3.1.0)。 !SUBENTRY 2 org.eclipse.egit.mylyn.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少已导入包 org.eclipse.ui.plugin_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.314 !MESSAGE 未解析 bundle org.eclipse.egit.ui_3.0.0.201306101825-r [118]。 !SUBENTRY 2 org.eclipse.egit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.ui_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.egit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.team.ui_[3.6.200,4.0.0)。 !SUBENTRY 2 org.eclipse.egit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_[3.4.0,4.0.0)。 !SUBENTRY 2 org.eclipse.egit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench.texteditor_[3.4.0,4.0.0)。 !SUBENTRY 2 org.eclipse.egit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.compare_[3.4.0,4.0.0)。 !SUBENTRY 2 org.eclipse.egit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_[3.4.0,4.0.0)。 !SUBENTRY 2 org.eclipse.egit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.jsch.ui_[1.1.100,2.0.0)。 !SUBENTRY 2 org.eclipse.egit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.ui.editors_[3.4.0,4.0.0)。 !SUBENTRY 2 org.eclipse.egit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.ui.navigator_[3.3.0,4.0.0)。 !SUBENTRY 2 org.eclipse.egit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少可选的必需 bundle org.eclipse.search_[3.4.0,4.0.0)。 !SUBENTRY 2 org.eclipse.egit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少可选的必需 bundle org.eclipse.debug.ui_[3.4.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.314 !MESSAGE 未解析 bundle org.eclipse.emf.common.ui_2.8.0.v20130610-0406 [120]。 !SUBENTRY 2 org.eclipse.emf.common.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.ui_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.emf.common.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少可选的必需 bundle org.eclipse.ui.ide_[3.5.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.314 !MESSAGE 未解析 bundle org.eclipse.emf.edit.ui_2.9.0.v20130610-0406 [127]。 !SUBENTRY 2 org.eclipse.emf.edit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.ui.views_[3.4.0,4.0.0)。 !SUBENTRY 2 org.eclipse.emf.edit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.emf.edit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.emf.common.ui_[2.8.0,3.0.0)。 !SUBENTRY 2 org.eclipse.emf.edit.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少可选的必需 bundle org.eclipse.ui.ide_[3.5.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.314 !MESSAGE 未解析 bundle org.eclipse.epp.mpc.ui_1.2.0.v20130612-1900 [130]。 !SUBENTRY 2 org.eclipse.epp.mpc.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.ui_3.6.0。 !SUBENTRY 2 org.eclipse.epp.mpc.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少必需的 bundle org.eclipse.equinox.p2.ui.discovery_[1.0.0,1.1.0)。 !SUBENTRY 2 org.eclipse.epp.mpc.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少可选的必需 bundle org.eclipse.ui.intro_0.0.0。 !SUBENTRY 2 org.eclipse.epp.mpc.ui 2 0 2014-05-26 16:34:15.314 !MESSAGE 缺少可选的必需 bundle org.eclipse.ui.intro.universal_0.0.0。 !SUBENTRY 2 org.eclipse.epp.mpc.ui 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少必需的 bundle org.eclipse.equinox.p2.ui_1.0.4。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.315 !MESSAGE 未解析 bundle org.eclipse.epp.package.rcp_2.0.0.20130613-0530 [131]。 !SUBENTRY 2 org.eclipse.epp.package.rcp 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少必需的 bundle org.eclipse.platform_[4.3.0,5.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.315 !MESSAGE 未解析 bundle org.eclipse.equinox.p2.ui_2.3.0.v20130528-2154 [172]。 !SUBENTRY 2 org.eclipse.equinox.p2.ui 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少必需的 bundle org.eclipse.ui_3.6.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少必需的 bundle org.eclipse.equinox.security.ui_[1.0.0,2.0.0)。 !SUBENTRY 2 org.eclipse.equinox.p2.ui 2 0 2014-05-26 16:34:15.315 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.5))(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=CDC/Foundation)(version=1.1)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.315 !MESSAGE 未解析 bundle org.eclipse.equinox.p2.ui.discovery_1.0.0.v20130502-0334 [173]。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.discovery 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.discovery 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少必需的 bundle org.eclipse.ui.browser_0.0.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.discovery 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少必需的 bundle org.eclipse.equinox.p2.ui_2.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.315 !MESSAGE 未解析 bundle org.eclipse.equinox.p2.ui.importexport_1.1.0.v20130327-2119 [174]。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.importexport 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.importexport 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少必需的 bundle org.eclipse.equinox.p2.ui_0.0.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.importexport 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少已导入包 org.eclipse.equinox.internal.p2.ui_0.0.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.importexport 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少已导入包 org.eclipse.equinox.internal.p2.ui.dialogs_0.0.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.importexport 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少已导入包 org.eclipse.equinox.internal.p2.ui.model_0.0.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.importexport 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少已导入包 org.eclipse.equinox.internal.p2.ui.viewers_0.0.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.importexport 2 0 2014-05-26 16:34:15.315 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.5))(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=CDC/Foundation)(version=1.1)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.315 !MESSAGE 未解析 bundle org.eclipse.equinox.p2.ui.sdk_1.0.300.v20130503-1750 [175]。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.sdk 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少必需的 bundle org.eclipse.ui_3.6.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.sdk 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少必需的 bundle org.eclipse.equinox.p2.ui_0.0.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.sdk 2 0 2014-05-26 16:34:15.315 !MESSAGE Missing optionally imported package org.eclipse.compare_0.0.0. !SUBENTRY 2 org.eclipse.equinox.p2.ui.sdk 2 0 2014-05-26 16:34:15.315 !MESSAGE Missing optionally imported package org.eclipse.compare.structuremergeviewer_0.0.0. !SUBENTRY 2 org.eclipse.equinox.p2.ui.sdk 2 0 2014-05-26 16:34:15.315 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.5))(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=CDC/Foundation)(version=1.1)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.315 !MESSAGE 未解析 bundle org.eclipse.equinox.p2.ui.sdk.scheduler_1.2.0.v20130603-2142 [176]。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.sdk.scheduler 2 0 2014-05-26 16:34:15.315 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.sdk.scheduler 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.equinox.p2.ui_0.0.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.sdk.scheduler 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少已导入包 org.eclipse.equinox.internal.p2.ui_0.0.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.sdk.scheduler 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少已导入包 org.eclipse.equinox.internal.p2.ui.actions_0.0.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.sdk.scheduler 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少已导入包 org.eclipse.equinox.internal.p2.ui.query_0.0.0。 !SUBENTRY 2 org.eclipse.equinox.p2.ui.sdk.scheduler 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少已导入包 org.eclipse.equinox.p2.ui_[2.0.0,3.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.316 !MESSAGE 未解析 bundle org.eclipse.equinox.security.ui_1.1.100.v20130327-1442 [182]。 !SUBENTRY 2 org.eclipse.equinox.security.ui 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.ui_[3.4.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.316 !MESSAGE 未解析 bundle org.eclipse.gef_3.9.0.201305060205 [186]。 !SUBENTRY 2 org.eclipse.gef 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少可选的必需 bundle org.eclipse.ui.views_[3.2.0,4.0.0)。 !SUBENTRY 2 org.eclipse.gef 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_[3.2.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.316 !MESSAGE 未解析 bundle org.eclipse.help.ui_4.0.0.v20130515-1955 [189]。 !SUBENTRY 2 org.eclipse.help.ui 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.ui_[3.6.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.316 !MESSAGE 未解析 bundle org.eclipse.jdt_3.9.0.v20130605-2000 [191]。 !SUBENTRY 2 org.eclipse.jdt 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.ui.intro_[3.2.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.ui.cheatsheets_[3.2.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.316 !MESSAGE 未解析 bundle org.eclipse.jdt.apt.ui_3.3.300.v20120516-0617 [195]。 !SUBENTRY 2 org.eclipse.jdt.apt.ui 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.ui_[3.2.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.apt.ui 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.ui_[3.5.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.316 !MESSAGE 未解析 bundle org.eclipse.jdt.debug.ui_3.6.200.v20130514-0841 [201]。 !SUBENTRY 2 org.eclipse.jdt.debug.ui 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.debug.ui 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench.texteditor_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.debug.ui 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.ui.editors_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.debug.ui 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.ui_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.debug.ui 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.debug.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.debug.ui 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.debug.ui 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.ui.console_[3.4.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.debug.ui 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.search_[3.5.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.316 !MESSAGE 未解析 bundle org.eclipse.jdt.junit_3.7.200.v20130514-0733 [203]。 !SUBENTRY 2 org.eclipse.jdt.junit 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.junit 2 0 2014-05-26 16:34:15.316 !MESSAGE 缺少必需的 bundle org.eclipse.ui.views_[3.3.100,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.junit 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench.texteditor_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.junit 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ui.editors_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.junit 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ui_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.junit 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.debug.ui_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.junit 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.ui_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.junit 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.debug.ui_[3.3.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.junit 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.compare_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.junit 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ltk.ui.refactoring_[3.5.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.317 !MESSAGE 未解析 bundle org.eclipse.jdt.ui_3.9.0.v20130605-1748 [208]。 !SUBENTRY 2 org.eclipse.jdt.ui 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.search_[3.7.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.ui 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.debug.ui_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.ui 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.compare_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.ui 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.team.ui_[3.4.100,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.ui 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ui_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.ui 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ui.console_[3.4.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.ui 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench.texteditor_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.ui 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.ui 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ui.views_[3.3.100,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.ui 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ui.editors_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.ui 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ltk.ui.refactoring_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.ui 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ui.navigator_[3.3.200,4.0.0)。 !SUBENTRY 2 org.eclipse.jdt.ui 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ui.navigator.resources_[3.4.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.317 !MESSAGE 未解析 bundle org.eclipse.jsch.ui_1.1.400.v20111007-1310 [224]。 !SUBENTRY 2 org.eclipse.jsch.ui 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.317 !MESSAGE 未解析 bundle org.eclipse.ltk.ui.refactoring_3.7.100.v20130605-1748 [226]。 !SUBENTRY 2 org.eclipse.ltk.ui.refactoring 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ui_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.ltk.ui.refactoring 2 0 2014-05-26 16:34:15.317 !MESSAGE 缺少必需的 bundle org.eclipse.ui.navigator_[3.3.200,4.0.0)。 !SUBENTRY 2 org.eclipse.ltk.ui.refactoring 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.compare_[3.5.0,4.0.0)。 !SUBENTRY 2 org.eclipse.ltk.ui.refactoring 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.team.ui_[3.4.100,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.321 !MESSAGE 未解析 bundle org.eclipse.m2e.core.ui_1.4.0.20130601-0317 [229]。 !SUBENTRY 2 org.eclipse.m2e.core.ui 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.ui.console_3.4.0。 !SUBENTRY 2 org.eclipse.m2e.core.ui 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_3.5.2。 !SUBENTRY 2 org.eclipse.m2e.core.ui 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.core.ui 2 0 2014-05-26 16:34:15.321 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.321 !MESSAGE 未解析 bundle org.eclipse.m2e.discovery_1.4.0.20130601-0317 [230]。 !SUBENTRY 2 org.eclipse.m2e.discovery 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.equinox.p2.ui.discovery_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.discovery 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.discovery 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.discovery 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.m2e.core.ui_[1.4.0,1.5.0)。 !SUBENTRY 2 org.eclipse.m2e.discovery 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.equinox.p2.ui_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.discovery 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少已导入包 org.eclipse.equinox.internal.p2.ui_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.discovery 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少已导入包 org.eclipse.equinox.internal.p2.ui.dialogs_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.discovery 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少已导入包 org.eclipse.equinox.internal.p2.ui.model_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.discovery 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少已导入包 org.eclipse.equinox.p2.ui_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.discovery 2 0 2014-05-26 16:34:15.321 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.321 !MESSAGE 未解析 bundle org.eclipse.m2e.editor_1.4.0.20130601-0317 [231]。 !SUBENTRY 2 org.eclipse.m2e.editor 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.search_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.editor 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.editor 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.wst.sse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.editor 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.editor 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.m2e.editor.xml_[1.4.0,1.5.0)。 !SUBENTRY 2 org.eclipse.m2e.editor 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.m2e.core.ui_[1.4.0,1.5.0)。 !SUBENTRY 2 org.eclipse.m2e.editor 2 0 2014-05-26 16:34:15.321 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.321 !MESSAGE 未解析 bundle org.eclipse.m2e.editor.xml_1.4.0.20130601-0317 [232]。 !SUBENTRY 2 org.eclipse.m2e.editor.xml 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.editor.xml 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench.texteditor_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.editor.xml 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.wst.xml.ui_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.editor.xml 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.wst.sse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.editor.xml 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.editor.xml 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.m2e.core.ui_[1.4.0,1.5.0)。 !SUBENTRY 2 org.eclipse.m2e.editor.xml 2 0 2014-05-26 16:34:15.321 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.321 !MESSAGE 未解析 bundle org.eclipse.m2e.jdt_1.4.0.20130601-0317 [233]。 !SUBENTRY 2 org.eclipse.m2e.jdt 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.ui_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.jdt 2 0 2014-05-26 16:34:15.321 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.jdt 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.m2e.core.ui_[1.4.0,1.5.0)。 !SUBENTRY 2 org.eclipse.m2e.jdt 2 0 2014-05-26 16:34:15.322 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.322 !MESSAGE 未解析 bundle org.eclipse.m2e.launching_1.4.0.20130601-0317 [234]。 !SUBENTRY 2 org.eclipse.m2e.launching 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.ui.externaltools_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.launching 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.ui.console_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.launching 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.ui.editors_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.launching 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.launching 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.launching 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.debug.ui_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.launching 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.debug.ui_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.launching 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.m2e.core.ui_[1.4.0,1.5.0)。 !SUBENTRY 2 org.eclipse.m2e.launching 2 0 2014-05-26 16:34:15.322 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.322 !MESSAGE 未解析 bundle org.eclipse.m2e.lifecyclemapping.defaults_1.4.0.20130601-0317 [235]。 !SUBENTRY 2 org.eclipse.m2e.lifecyclemapping.defaults 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.m2e.jdt_[1.4.0,1.5.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.322 !MESSAGE 未解析 bundle org.eclipse.m2e.logback.appender_1.4.0.20130601-0317 [236]。 !SUBENTRY 2 org.eclipse.m2e.logback.appender 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.ui.console_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.logback.appender 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.m2e.core.ui_[1.4.0,1.5.0)。 !SUBENTRY 2 org.eclipse.m2e.logback.appender 2 0 2014-05-26 16:34:15.322 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.322 !MESSAGE 未解析 bundle org.eclipse.m2e.refactoring_1.4.0.20130601-0317 [241]。 !SUBENTRY 2 org.eclipse.m2e.refactoring 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.refactoring 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.ui_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.refactoring 2 0 2014-05-26 16:34:15.322 !MESSAGE 缺少必需的 bundle org.eclipse.compare_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.refactoring 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.refactoring 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.ltk.ui.refactoring_0.0.0。 !SUBENTRY 2 org.eclipse.m2e.refactoring 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.m2e.core.ui_[1.4.0,1.5.0)。 !SUBENTRY 2 org.eclipse.m2e.refactoring 2 0 2014-05-26 16:34:15.323 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.323 !MESSAGE 未解析 bundle org.eclipse.m2e.scm_1.4.0.20130601-0317 [242]。 !SUBENTRY 2 org.eclipse.m2e.scm 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.m2e.core.ui_[1.4.0,1.5.0)。 !SUBENTRY 2 org.eclipse.m2e.scm 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_3.5.2。 !SUBENTRY 2 org.eclipse.m2e.scm 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_3.5.1。 !SUBENTRY 2 org.eclipse.m2e.scm 2 0 2014-05-26 16:34:15.323 !MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.6))(&(osgi.ee=JavaSE)(version=1.7)))". !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.323 !MESSAGE 未解析 bundle org.eclipse.mylyn.bugzilla.ui_3.9.0.v20130612-0100 [245]。 !SUBENTRY 2 org.eclipse.mylyn.bugzilla.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.bugzilla.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.compare_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.bugzilla.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.ui.views_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.bugzilla.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.ui.editors_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.bugzilla.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench.texteditor_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.bugzilla.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.tasks.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.bugzilla.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.bugzilla.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.workbench_[3.8.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.323 !MESSAGE 未解析 bundle org.eclipse.mylyn.builds.ui_1.1.0.v20130612-0100 [247]。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少可选的必需 bundle org.eclipse.ui.console_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.ui.navigator_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少可选的必需 bundle org.eclipse.jdt.debug.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少可选的必需 bundle org.eclipse.jdt.junit_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少可选的必需 bundle org.eclipse.jdt.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.team.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.compare_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.notifications.ui_1.0.0。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.repositories.ui_1.0.0。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.ui_3.8.0。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.workbench_3.8.0。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.tasks.ui_3.8.0。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.team.ui_3.8.0。 !SUBENTRY 2 org.eclipse.mylyn.builds.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.versions.ui_1.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.323 !MESSAGE 未解析 bundle org.eclipse.mylyn.commons.notifications.ui_1.1.0.v20130612-0100 [253]。 !SUBENTRY 2 org.eclipse.mylyn.commons.notifications.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.commons.notifications.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.commons.notifications.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.ui_3.8.0。 !SUBENTRY 2 org.eclipse.mylyn.commons.notifications.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.workbench_3.8.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.323 !MESSAGE 未解析 bundle org.eclipse.mylyn.commons.repositories.ui_1.1.0.v20130612-0100 [256]。 !SUBENTRY 2 org.eclipse.mylyn.commons.repositories.ui 2 0 2014-05-26 16:34:15.323 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.commons.repositories.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.ui.navigator_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.commons.repositories.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.ui_3.8.0。 !SUBENTRY 2 org.eclipse.mylyn.commons.repositories.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.workbench_3.8.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.324 !MESSAGE 未解析 bundle org.eclipse.mylyn.commons.ui_3.9.0.v20130612-0100 [258]。 !SUBENTRY 2 org.eclipse.mylyn.commons.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.324 !MESSAGE 未解析 bundle org.eclipse.mylyn.commons.workbench_3.9.0.v20130612-0100 [259]。 !SUBENTRY 2 org.eclipse.mylyn.commons.workbench 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.commons.workbench 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少可选的必需 bundle org.eclipse.ui.browser_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.commons.workbench 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少可选的必需 bundle org.eclipse.ui.editors_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.commons.workbench 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.commons.workbench 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench.texteditor_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.commons.workbench 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.ui_3.8.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.324 !MESSAGE 未解析 bundle org.eclipse.mylyn.context.tasks.ui_3.9.0.v20130612-0100 [262]。 !SUBENTRY 2 org.eclipse.mylyn.context.tasks.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.context.tasks.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.ui.navigator_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.context.tasks.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.context.tasks.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.workbench_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.context.tasks.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.context.ui_3.8.0。 !SUBENTRY 2 org.eclipse.mylyn.context.tasks.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.monitor.ui_3.8.0。 !SUBENTRY 2 org.eclipse.mylyn.context.tasks.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.tasks.ui_3.8.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.324 !MESSAGE 未解析 bundle org.eclipse.mylyn.context.ui_3.9.0.v20130612-0100 [263]。 !SUBENTRY 2 org.eclipse.mylyn.context.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.context.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.ui.navigator_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.context.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.ui.views_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.context.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.context.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.workbench_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.context.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.monitor.ui_[3.8.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.324 !MESSAGE 未解析 bundle org.eclipse.mylyn.debug.ui_3.9.0.v20130612-0100 [264]。 !SUBENTRY 2 org.eclipse.mylyn.debug.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.context.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.debug.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.ide.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.debug.ui 2 0 2014-05-26 16:34:15.324 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.debug.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.debug.ui_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.325 !MESSAGE 未解析 bundle org.eclipse.mylyn.discovery.ui_3.9.0.v20130612-0100 [266]。 !SUBENTRY 2 org.eclipse.mylyn.discovery.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.discovery.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.discovery.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.workbench_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.discovery.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少可选的必需 bundle org.eclipse.equinox.p2.ui_1.0.4。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.325 !MESSAGE 未解析 bundle org.eclipse.mylyn.gerrit.ui_2.0.0.v20130612-0100 [268]。 !SUBENTRY 2 org.eclipse.mylyn.gerrit.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.gerrit.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.workbench_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.gerrit.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.reviews.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.gerrit.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.tasks.ui_3.8.0。 !SUBENTRY 2 org.eclipse.mylyn.gerrit.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.compare_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.gerrit.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.gerrit.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.ui.editors_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.gerrit.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench.texteditor_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.gerrit.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.egit.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.gerrit.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.tasks.ui_3.8.0。 !SUBENTRY 2 org.eclipse.mylyn.gerrit.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.ui.navigator_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.325 !MESSAGE 未解析 bundle org.eclipse.mylyn.git.ui_1.1.0.v20130612-0100 [270]。 !SUBENTRY 2 org.eclipse.mylyn.git.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.git.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.versions.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.git.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.egit.ui_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.325 !MESSAGE 未解析 bundle org.eclipse.mylyn.hudson.ui_1.1.0.v20130612-0100 [273]。 !SUBENTRY 2 org.eclipse.mylyn.hudson.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.hudson.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.builds.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.hudson.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少可选的必需 bundle org.eclipse.ecf.discovery_3.0.0。 !SUBENTRY 2 org.eclipse.mylyn.hudson.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少可选的必需 bundle org.eclipse.ecf.provider.discovery_2.0.0。 !SUBENTRY 2 org.eclipse.mylyn.hudson.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少可选的必需 bundle org.eclipse.ecf.provider.jmdns_3.0.0。 !SUBENTRY 2 org.eclipse.mylyn.hudson.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.notifications.ui_1.0.0。 !SUBENTRY 2 org.eclipse.mylyn.hudson.ui 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.repositories.ui_1.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.325 !MESSAGE 未解析 bundle org.eclipse.mylyn.ide.ant_3.9.0.v20130612-0100 [274]。 !SUBENTRY 2 org.eclipse.mylyn.ide.ant 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.ant.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.ide.ant 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.debug.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.ide.ant 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.ide.ant 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.ui.editors_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.ide.ant 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.ide.ant 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.ui.views_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.ide.ant 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.ide.ant 2 0 2014-05-26 16:34:15.325 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.context.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.ide.ant 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.monitor.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.ide.ant 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.ide.ui_[3.8.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.326 !MESSAGE 未解析 bundle org.eclipse.mylyn.ide.ui_3.9.0.v20130612-0100 [275]。 !SUBENTRY 2 org.eclipse.mylyn.ide.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.ide.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui.navigator_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.ide.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_3.4.0。 !SUBENTRY 2 org.eclipse.mylyn.ide.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.ide.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.context.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.ide.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.resources.ui_[3.8.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.326 !MESSAGE 未解析 bundle org.eclipse.mylyn.java.tasks_3.9.0.v20130612-0100 [276]。 !SUBENTRY 2 org.eclipse.mylyn.java.tasks 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.debug.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.tasks 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.debug.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.tasks 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.junit_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.tasks 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.tasks 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench.texteditor_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.tasks 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.tasks.ui_[3.8.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.326 !MESSAGE 未解析 bundle org.eclipse.mylyn.java.ui_3.9.0.v20130612-0100 [277]。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.debug.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.debug.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.junit_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.search_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui.editors_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui.views_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench.texteditor_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.context.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.monitor.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.resources.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.java.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.ide.ui_[3.8.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.326 !MESSAGE 未解析 bundle org.eclipse.mylyn.monitor.ui_3.9.0.v20130612-0100 [279]。 !SUBENTRY 2 org.eclipse.mylyn.monitor.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.326 !MESSAGE 未解析 bundle org.eclipse.mylyn.pde.ui_3.9.0.v20130612-0100 [280]。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui.editors_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.326 !MESSAGE 缺少必需的 bundle org.eclipse.ui.workbench.texteditor_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.pde.ui_3.4.0。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.pde.api.tools.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.debug.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.search_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.debug.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.junit_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.jdt.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.context.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.ide.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.java.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.java.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.monitor.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.pde.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.resources.ui_[3.8.0,4.0.0)。 !SUBENTRY 1 org.eclipse.osgi 2 0 2014-05-26 16:34:15.327 !MESSAGE 未解析 bundle org.eclipse.mylyn.resources.ui_3.9.0.v20130612-0100 [281]。 !SUBENTRY 2 org.eclipse.mylyn.resources.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.ui.ide_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.resources.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.ui_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.resources.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.ui.navigator_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.resources.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.compare_0.0.0。 !SUBENTRY 2 org.eclipse.mylyn.resources.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.commons.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.resources.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.context.ui_[3.8.0,4.0.0)。 !SUBENTRY 2 org.eclipse.mylyn.resources.ui 2 0 2014-05-26 16:34:15.327 !MESSAGE 缺少必需的 bundle org.eclipse.mylyn.monitor.ui_[3.8.0,4.0.0)。 !SUBENTRY 1 org.eclipse.o
eclipse Android开发 Debug模式很卡而且断点处不停止
先谢过进来看的大佬 我刚启动eclipse的时候上面那几个按钮就是亮起的状态 ![图片说明](https://img-ask.csdn.net/upload/201705/04/1493865629_117763.png) 然后如果我点击停止的话会报这个(当然会报啊因为我根本就没运行啊) ![图片说明](https://img-ask.csdn.net/upload/201705/04/1493865710_576443.png) 然后运行Debug模式跑APP,运行到断点的时候整个eclipse就突然变得非常卡,之后就如图片红框那里,那个not responding基本上1秒多一个 ![图片说明](https://img-ask.csdn.net/upload/201705/04/1493865651_21941.png) 如果我这时候点击Disconncet(或者Resume啊,就是那四个小按钮任意一个亮着的) ![图片说明](https://img-ask.csdn.net/upload/201705/04/1493865716_259672.png) 就是各种超时,现在我已经用不了Debug了,很难受,求各路大佬指点迷津,万分感谢!
Eclipse中debug启动,出现java.exe执行操作的黑框,加载完成就消失了!!!这是什么意思
![图片说明](https://img-ask.csdn.net/upload/201903/14/1552548180_208726.png)
eclipse使用debug模式启动web服务报错
eclipse使用debug模式启动web服务报错,使用run方式就正常。报错异常如下: [code="java"] SEVERE: Catalina.start: org.apache.catalina.LifecycleException: Failed to start component [StandardServer[8005]] at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:152) at org.apache.catalina.startup.Catalina.start(Catalina.java:621) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) at java.lang.reflect.Method.invoke(Unknown Source) at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:322) at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:450) Caused by: org.apache.catalina.LifecycleException: Failed to start component [StandardService[Catalina]] at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:152) at org.apache.catalina.core.StandardServer.startInternal(StandardServer.java:727) at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:148) ... 7 more Caused by: org.apache.catalina.LifecycleException: Failed to start component [StandardEngine[Catalina]] at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:152) at org.apache.catalina.core.StandardService.startInternal(StandardService.java:443) at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:148) ... 9 more Caused by: org.apache.catalina.LifecycleException: Failed to start component [StandardEngine[Catalina].StandardHost[localhost]] at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:152) at org.apache.catalina.core.ContainerBase.startInternal(ContainerBase.java:1033) at org.apache.catalina.core.StandardEngine.startInternal(StandardEngine.java:291) at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:148) ... 11 more Caused by: org.apache.catalina.LifecycleException: Failed to start component [StandardEngine[Catalina].StandardHost[localhost].StandardContext[/camsi-ebiz-present]] at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:152) at org.apache.catalina.core.ContainerBase.startInternal(ContainerBase.java:1033) at org.apache.catalina.core.StandardHost.startInternal(StandardHost.java:774) at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:148) ... 14 more Caused by: java.lang.RuntimeException: java.util.concurrent.ExecutionException: java.lang.OutOfMemoryError: PermGen space at org.apache.tomcat.util.threads.DedicatedThreadExecutor.execute(DedicatedThreadExecutor.java:62) at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5279) at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:148) ... 17 more Caused by: java.util.concurrent.ExecutionException: java.lang.OutOfMemoryError: PermGen space at java.util.concurrent.FutureTask$Sync.innerGet(Unknown Source) at java.util.concurrent.FutureTask.get(Unknown Source) at org.apache.tomcat.util.threads.DedicatedThreadExecutor.execute(DedicatedThreadExecutor.java:56) ... 19 more Caused by: java.lang.OutOfMemoryError: PermGen space at java.lang.ClassLoader.defineClass1(Native Method) at java.lang.ClassLoader.defineClass(Unknown Source) at java.security.SecureClassLoader.defineClass(Unknown Source) at org.apache.catalina.loader.WebappClassLoader.findClassInternal(WebappClassLoader.java:2820) at org.apache.catalina.loader.WebappClassLoader.findClass(WebappClassLoader.java:1150) at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1645) at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1523) at java.lang.Class.getDeclaredMethods0(Native Method) at java.lang.Class.privateGetDeclaredMethods(Unknown Source) at java.lang.Class.privateGetPublicMethods(Unknown Source) at java.lang.Class.getMethods(Unknown Source) at java.beans.Introspector.getPublicDeclaredMethods(Unknown Source) at java.beans.Introspector.getTargetMethodInfo(Unknown Source) at java.beans.Introspector.getBeanInfo(Unknown Source) at java.beans.Introspector.getBeanInfo(Unknown Source) at org.apache.commons.beanutils.PropertyUtilsBean.getPropertyDescriptors(PropertyUtilsBean.java:980) at org.apache.commons.beanutils.PropertyUtils.getPropertyDescriptors(PropertyUtils.java:480) at com.bstek.dorado.config.xml.XmlParserHelper.doInitObjectParser(XmlParserHelper.java:683) at com.bstek.dorado.view.config.xml.ViewXmlParserHelper.doInitObjectParser(ViewXmlParserHelper.java:43) at com.bstek.dorado.config.xml.XmlParserHelper.initObjectParser(XmlParserHelper.java:591) at com.bstek.dorado.config.xml.XmlParserHelper.initObjectParser(XmlParserHelper.java:309) at com.bstek.dorado.config.xml.XmlParserHelper.initObjectParser(XmlParserHelper.java:292) at com.bstek.dorado.config.xml.ObjectParsersInitializer.onStartup(ObjectParsersInitializer.java:64) at com.bstek.dorado.core.EngineStartupListenerManager.notifyStartup(EngineStartupListenerManager.java:52) at com.bstek.dorado.web.loader.DoradoLoader.load(DoradoLoader.java:464) at com.bstek.dorado.web.servlet.DoradoServlet.init(DoradoServlet.java:62) at org.apache.catalina.core.StandardWrapper.initServlet(StandardWrapper.java:1228) at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1147) at org.apache.catalina.core.StandardWrapper.load(StandardWrapper.java:1043) at org.apache.catalina.core.StandardContext.loadOnStartup(StandardContext.java:4957) at org.apache.catalina.core.StandardContext$3.call(StandardContext.java:5284) at org.apache.catalina.core.StandardContext$3.call(StandardContext.java:5279) [/code]
Eclipse中如何调试Nodejs
我在Eclipse中安装V8之后,debug模式启动![图片说明](https://img-ask.csdn.net/upload/201512/02/1449027410_170039.png) 没有我需要调试的文件,如何在里面添加我所需要调试的文件呢?
在用eclipse启动maven项目的时候报的错误 这是什么情况
在用eclipse启动maven项目的时候报的错误,如果我用eclipse插件启用项目就报下面的错误,但是我用server的方式启动就不会报这个错,这是怎么回事啊?求大神们指教 14:51:31.297 [main] DEBUG o.s.v.b.OptionalValidatorFactoryBean - Failed to set up a Bean Validation provider javax.validation.ValidationException: Unable to find a default provider at javax.validation.Validation$GenericBootstrapImpl.configure(Validation.java:264) ~[validation-api-1.0.0.GA.jar:na] at org.springframework.validation.beanvalidation.LocalValidatorFactoryBean.afterPropertiesSet(LocalValidatorFactoryBean.java:223) ~[spring-context-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.validation.beanvalidation.OptionalValidatorFactoryBean.afterPropertiesSet(OptionalValidatorFactoryBean.java:40) ~[spring-context-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.invokeInitMethods(AbstractAutowireCapableBeanFactory.java:1612) [spring-beans-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.initializeBean(AbstractAutowireCapableBeanFactory.java:1549) [spring-beans-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBean(AbstractAutowireCapableBeanFactory.java:539) [spring-beans-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactory.java:475) [spring-beans-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.beans.factory.support.AbstractBeanFactory$1.getObject(AbstractBeanFactory.java:304) [spring-beans-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton(DefaultSingletonBeanRegistry.java:228) [spring-beans-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:300) [spring-beans-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:195) [spring-beans-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.beans.factory.support.DefaultListableBeanFactory.preInstantiateSingletons(DefaultListableBeanFactory.java:703) [spring-beans-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.context.support.AbstractApplicationContext.finishBeanFactoryInitialization(AbstractApplicationContext.java:760) [spring-context-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:482) [spring-context-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.web.servlet.FrameworkServlet.configureAndRefreshWebApplicationContext(FrameworkServlet.java:658) [spring-webmvc-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.web.servlet.FrameworkServlet.createWebApplicationContext(FrameworkServlet.java:624) [spring-webmvc-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.web.servlet.FrameworkServlet.createWebApplicationContext(FrameworkServlet.java:672) [spring-webmvc-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.web.servlet.FrameworkServlet.initWebApplicationContext(FrameworkServlet.java:543) [spring-webmvc-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.web.servlet.FrameworkServlet.initServletBean(FrameworkServlet.java:484) [spring-webmvc-4.0.3.RELEASE.jar:4.0.3.RELEASE] at org.springframework.web.servlet.HttpServletBean.init(HttpServletBean.java:136) [spring-webmvc-4.0.3.RELEASE.jar:4.0.3.RELEASE] at javax.servlet.GenericServlet.init(GenericServlet.java:212) [servlet-api.jar:2.5.MR2] at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1213) [catalina.jar:6.0.41] at org.apache.catalina.core.StandardWrapper.load(StandardWrapper.java:1026) [catalina.jar:6.0.41] at org.apache.catalina.core.StandardContext.loadOnStartup(StandardContext.java:4425) [catalina.jar:6.0.41] at org.apache.catalina.core.StandardContext.start(StandardContext.java:4738) [catalina.jar:6.0.41] at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1057) [catalina.jar:6.0.41] at org.apache.catalina.core.StandardHost.start(StandardHost.java:822) [catalina.jar:6.0.41] at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1057) [catalina.jar:6.0.41] at org.apache.catalina.core.StandardEngine.start(StandardEngine.java:463) [catalina.jar:6.0.41] at org.apache.catalina.core.StandardService.start(StandardService.java:525) [catalina.jar:6.0.41] at org.apache.catalina.core.StandardServer.start(StandardServer.java:754) [catalina.jar:6.0.41] at org.apache.catalina.startup.Catalina.start(Catalina.java:595) [catalina.jar:6.0.41] at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[na:1.6.0_43] at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) ~[na:1.6.0_43] at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) ~[na:1.6.0_43] at java.lang.reflect.Method.invoke(Method.java:597) ~[na:1.6.0_43] at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:289) [bootstrap.jar:6.0.41] at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:414) [bootstrap.jar:6.0.41]
想问一下Eclipse web项目在什么情况下修改不需要重新启动服务器?
之前在写Web应用的时候,每次只要在代码里改动后点击保存就会弹出一个警告框 要我重启应用 否则改动代码可能不会生效,但是不小心把 不再提示给关掉了,也不知道 怎么再调出来,现在有时候写着写着就忘了要重启应用,然后一直在那里DEBUG半天 才发现没重启应用,唉 好浪费时间的
maven项目中,使用clean tomcat7:run启动时报如下错误,小白,求大神解救。在pom.xml中已经配置了tomcat7-maven-plugin。
maven项目中,使用clean tomcat7:run启动时报如下错误,小白,求大神解救。在pom.xml中已经配置了tomcat7-maven-plugin。 [INFO] Scanning for projects... [INFO] Downloading from : https://repo.maven.apache.org/maven2/org/codehaus/mojo/maven-metadata.xml [INFO] Downloading from : https://repo.maven.apache.org/maven2/org/apache/maven/plugins/maven-metadata.xml [INFO] Downloaded from : https://repo.maven.apache.org/maven2/org/codehaus/mojo/maven-metadata.xml (20 kB at 5.0 kB/s) [INFO] Downloaded from : https://repo.maven.apache.org/maven2/org/apache/maven/plugins/maven-metadata.xml (14 kB at 1.3 kB/s) [INFO] ------------------------------------------------------------------------ [INFO] BUILD FAILURE [INFO] ------------------------------------------------------------------------ [INFO] Total time: 10.812 s [INFO] Finished at: 2019-09-23T21:31:16+08:00 [INFO] ------------------------------------------------------------------------ [ERROR] No plugin found for prefix 'tomcat7' in the current project and in the plugin groups [org.apache.maven.plugins, org.codehaus.mojo] available from the repositories [local (D:\MATERIAL\Maven\repository\repository), central (https://repo.maven.apache.org/maven2)] -> [Help 1] [ERROR] [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch. [ERROR] Re-run Maven using the -X switch to enable full debug logging. [ERROR] [ERROR] For more information about the errors and possible solutions, please read the following articles: [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/NoPluginFoundForPrefixException
MyEclipse启动服务超时
![图片说明](https://img-ask.csdn.net/upload/201704/20/1492701059_234557.png) 1.使用的是外置Tomcat8.0,jdk1.8 2.start Tomcat能在一定的时间内正常启动服务,并且能一直正常使用。 debug Tomcat能在一定的时间内正常启动服务(如上图,Server startup in 6015ms),但过了45秒后会弹出如图所示的错误(既然已经启动Tomcat,又为何有此弹出框?),并且自动stopTomcat。 3.timeout无论改成多大都会出现这个问题。
爬虫福利二 之 妹子图网MM批量下载
爬虫福利一:27报网MM批量下载    点击 看了本文,相信大家对爬虫一定会产生强烈的兴趣,激励自己去学习爬虫,在这里提前祝:大家学有所成! 目标网站:妹子图网 环境:Python3.x 相关第三方模块:requests、beautifulsoup4 Re:各位在测试时只需要将代码里的变量 path 指定为你当前系统要保存的路径,使用 python xxx.py 或IDE运行即可。
Java学习的正确打开方式
在博主认为,对于入门级学习java的最佳学习方法莫过于视频+博客+书籍+总结,前三者博主将淋漓尽致地挥毫于这篇博客文章中,至于总结在于个人,实际上越到后面你会发现学习的最好方式就是阅读参考官方文档其次就是国内的书籍,博客次之,这又是一个层次了,这里暂时不提后面再谈。博主将为各位入门java保驾护航,各位只管冲鸭!!!上天是公平的,只要不辜负时间,时间自然不会辜负你。 何谓学习?博主所理解的学习,它
程序员必须掌握的核心算法有哪些?
由于我之前一直强调数据结构以及算法学习的重要性,所以就有一些读者经常问我,数据结构与算法应该要学习到哪个程度呢?,说实话,这个问题我不知道要怎么回答你,主要取决于你想学习到哪些程度,不过针对这个问题,我稍微总结一下我学过的算法知识点,以及我觉得值得学习的算法。这些算法与数据结构的学习大多数是零散的,并没有一本把他们全部覆盖的书籍。下面是我觉得值得学习的一些算法以及数据结构,当然,我也会整理一些看过...
大学四年自学走来,这些私藏的实用工具/学习网站我贡献出来了
大学四年,看课本是不可能一直看课本的了,对于学习,特别是自学,善于搜索网上的一些资源来辅助,还是非常有必要的,下面我就把这几年私藏的各种资源,网站贡献出来给你们。主要有:电子书搜索、实用工具、在线视频学习网站、非视频学习网站、软件下载、面试/求职必备网站。 注意:文中提到的所有资源,文末我都给你整理好了,你们只管拿去,如果觉得不错,转发、分享就是最大的支持了。 一、PDF搜索网站推荐 对于大部
linux系列之常用运维命令整理笔录
本博客记录工作中需要的linux运维命令,大学时候开始接触linux,会一些基本操作,可是都没有整理起来,加上是做开发,不做运维,有些命令忘记了,所以现在整理成博客,当然vi,文件操作等就不介绍了,慢慢积累一些其它拓展的命令,博客不定时更新 顺便拉下票,我在参加csdn博客之星竞选,欢迎投票支持,每个QQ或者微信每天都可以投5票,扫二维码即可,http://m234140.nofollow.ax.
比特币原理详解
一、什么是比特币 比特币是一种电子货币,是一种基于密码学的货币,在2008年11月1日由中本聪发表比特币白皮书,文中提出了一种去中心化的电子记账系统,我们平时的电子现金是银行来记账,因为银行的背后是国家信用。去中心化电子记账系统是参与者共同记账。比特币可以防止主权危机、信用风险。其好处不多做赘述,这一层面介绍的文章很多,本文主要从更深层的技术原理角度进行介绍。 二、问题引入  假设现有4个人
程序员接私活怎样防止做完了不给钱?
首先跟大家说明一点,我们做 IT 类的外包开发,是非标品开发,所以很有可能在开发过程中会有这样那样的需求修改,而这种需求修改很容易造成扯皮,进而影响到费用支付,甚至出现做完了项目收不到钱的情况。 那么,怎么保证自己的薪酬安全呢? 我们在开工前,一定要做好一些证据方面的准备(也就是“讨薪”的理论依据),这其中最重要的就是需求文档和验收标准。一定要让需求方提供这两个文档资料作为开发的基础。之后开发
网页实现一个简单的音乐播放器(大佬别看。(⊙﹏⊙))
今天闲着无事,就想写点东西。然后听了下歌,就打算写个播放器。 于是乎用h5 audio的加上js简单的播放器完工了。 欢迎 改进 留言。 演示地点跳到演示地点 html代码如下`&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;music&lt;/title&gt; &lt;meta charset="utf-8"&gt
Python十大装B语法
Python 是一种代表简单思想的语言,其语法相对简单,很容易上手。不过,如果就此小视 Python 语法的精妙和深邃,那就大错特错了。本文精心筛选了最能展现 Python 语法之精妙的十个知识点,并附上详细的实例代码。如能在实战中融会贯通、灵活使用,必将使代码更为精炼、高效,同时也会极大提升代码B格,使之看上去更老练,读起来更优雅。 1. for - else 什么?不是 if 和 else 才
数据库优化 - SQL优化
前面一篇文章从实例的角度进行数据库优化,通过配置一些参数让数据库性能达到最优。但是一些“不好”的SQL也会导致数据库查询变慢,影响业务流程。本文从SQL角度进行数据库优化,提升SQL运行效率。 判断问题SQL 判断SQL是否有问题时可以通过两个表象进行判断: 系统级别表象 CPU消耗严重 IO等待严重 页面响应时间过长
2019年11月中国大陆编程语言排行榜
2019年11月2日,我统计了某招聘网站,获得有效程序员招聘数据9万条。针对招聘信息,提取编程语言关键字,并统计如下: 编程语言比例 rank pl_ percentage 1 java 33.62% 2 c/c++ 16.42% 3 c_sharp 12.82% 4 javascript 12.31% 5 python 7.93% 6 go 7.25% 7
通俗易懂地给女朋友讲:线程池的内部原理
餐厅的约会 餐盘在灯光的照耀下格外晶莹洁白,女朋友拿起红酒杯轻轻地抿了一小口,对我说:“经常听你说线程池,到底线程池到底是个什么原理?”我楞了一下,心里想女朋友今天是怎么了,怎么突然问出这么专业的问题,但做为一个专业人士在女朋友面前也不能露怯啊,想了一下便说:“我先给你讲讲我前同事老王的故事吧!” 大龄程序员老王 老王是一个已经北漂十多年的程序员,岁数大了,加班加不动了,升迁也无望,于是拿着手里
经典算法(5)杨辉三角
写在前面: 我是 扬帆向海,这个昵称来源于我的名字以及女朋友的名字。我热爱技术、热爱开源、热爱编程。技术是开源的、知识是共享的。 这博客是对自己学习的一点点总结及记录,如果您对 Java、算法 感兴趣,可以关注我的动态,我们一起学习。 用知识改变命运,让我们的家人过上更好的生活。 目录一、杨辉三角的介绍二、杨辉三角的算法思想三、代码实现1.第一种写法2.第二种写法 一、杨辉三角的介绍 百度
腾讯算法面试题:64匹马8个跑道需要多少轮才能选出最快的四匹?
昨天,有网友私信我,说去阿里面试,彻底的被打击到了。问了为什么网上大量使用ThreadLocal的源码都会加上private static?他被难住了,因为他从来都没有考虑过这个问题。无独有偶,今天笔者又发现有网友吐槽了一道腾讯的面试题,我们一起来看看。 腾讯算法面试题:64匹马8个跑道需要多少轮才能选出最快的四匹? 在互联网职场论坛,一名程序员发帖求助到。二面腾讯,其中一个算法题:64匹
面试官:你连RESTful都不知道我怎么敢要你?
面试官:了解RESTful吗? 我:听说过。 面试官:那什么是RESTful? 我:就是用起来很规范,挺好的 面试官:是RESTful挺好的,还是自我感觉挺好的 我:都挺好的。 面试官:… 把门关上。 我:… 要干嘛?先关上再说。 面试官:我说出去把门关上。 我:what ?,夺门而去 文章目录01 前言02 RESTful的来源03 RESTful6大原则1. C-S架构2. 无状态3.统一的接
为啥国人偏爱Mybatis,而老外喜欢Hibernate/JPA呢?
关于SQL和ORM的争论,永远都不会终止,我也一直在思考这个问题。昨天又跟群里的小伙伴进行了一番讨论,感触还是有一些,于是就有了今天这篇文。 声明:本文不会下关于Mybatis和JPA两个持久层框架哪个更好这样的结论。只是摆事实,讲道理,所以,请各位看官勿喷。 一、事件起因 关于Mybatis和JPA孰优孰劣的问题,争论已经很多年了。一直也没有结论,毕竟每个人的喜好和习惯是大不相同的。我也看
SQL-小白最佳入门sql查询一
一 说明 如果是初学者,建议去网上寻找安装Mysql的文章安装,以及使用navicat连接数据库,以后的示例基本是使用mysql数据库管理系统; 二 准备前提 需要建立一张学生表,列分别是id,名称,年龄,学生信息;本示例中文章篇幅原因SQL注释略; 建表语句: CREATE TABLE `student` ( `id` int(11) NOT NULL AUTO_INCREMENT, `
项目中的if else太多了,该怎么重构?
介绍 最近跟着公司的大佬开发了一款IM系统,类似QQ和微信哈,就是聊天软件。我们有一部分业务逻辑是这样的 if (msgType = "文本") { // dosomething } else if(msgType = "图片") { // doshomething } else if(msgType = "视频") { // doshomething } else { // dosho
【图解经典算法题】如何用一行代码解决约瑟夫环问题
约瑟夫环问题算是很经典的题了,估计大家都听说过,然后我就在一次笔试中遇到了,下面我就用 3 种方法来详细讲解一下这道题,最后一种方法学了之后保证让你可以让你装逼。 问题描述:编号为 1-N 的 N 个士兵围坐在一起形成一个圆圈,从编号为 1 的士兵开始依次报数(1,2,3…这样依次报),数到 m 的 士兵会被杀死出列,之后的士兵再从 1 开始报数。直到最后剩下一士兵,求这个士兵的编号。 1、方
致 Python 初学者
文章目录1. 前言2. 明确学习目标,不急于求成,不好高骛远3. 在开始学习 Python 之前,你需要做一些准备2.1 Python 的各种发行版2.2 安装 Python2.3 选择一款趁手的开发工具3. 习惯使用IDLE,这是学习python最好的方式4. 严格遵从编码规范5. 代码的运行、调试5. 模块管理5.1 同时安装了py2/py35.2 使用Anaconda,或者通过IDE来安装模
“狗屁不通文章生成器”登顶GitHub热榜,分分钟写出万字形式主义大作
一、垃圾文字生成器介绍 最近在浏览GitHub的时候,发现了这样一个骨骼清奇的雷人项目,而且热度还特别高。 项目中文名:狗屁不通文章生成器 项目英文名:BullshitGenerator 根据作者的介绍,他是偶尔需要一些中文文字用于GUI开发时测试文本渲染,因此开发了这个废话生成器。但由于生成的废话实在是太过富于哲理,所以最近已经被小伙伴们给玩坏了。 他的文风可能是这样的: 你发现,
程序员:我终于知道post和get的区别
IT界知名的程序员曾说:对于那些月薪三万以下,自称IT工程师的码农们,其实我们从来没有把他们归为我们IT工程师的队伍。他们虽然总是以IT工程师自居,但只是他们一厢情愿罢了。 此话一出,不知激起了多少(码农)程序员的愤怒,却又无可奈何,于是码农问程序员。 码农:你知道get和post请求到底有什么区别? 程序员:你看这篇就知道了。 码农:你月薪三万了? 程序员:嗯。 码农:你是怎么做到的? 程序员:
《程序人生》系列-这个程序员只用了20行代码就拿了冠军
你知道的越多,你不知道的越多 点赞再看,养成习惯GitHub上已经开源https://github.com/JavaFamily,有一线大厂面试点脑图,欢迎Star和完善 前言 这一期不算《吊打面试官》系列的,所有没前言我直接开始。 絮叨 本来应该是没有这期的,看过我上期的小伙伴应该是知道的嘛,双十一比较忙嘛,要值班又要去帮忙拍摄年会的视频素材,还得搞个程序员一天的Vlog,还要写BU
加快推动区块链技术和产业创新发展,2019可信区块链峰会在京召开
      11月8日,由中国信息通信研究院、中国通信标准化协会、中国互联网协会、可信区块链推进计划联合主办,科技行者协办的2019可信区块链峰会将在北京悠唐皇冠假日酒店开幕。   区块链技术被认为是继蒸汽机、电力、互联网之后,下一代颠覆性的核心技术。如果说蒸汽机释放了人类的生产力,电力解决了人类基本的生活需求,互联网彻底改变了信息传递的方式,区块链作为构造信任的技术有重要的价值。   1
程序员把地府后台管理系统做出来了,还有3.0版本!12月7号最新消息:已在开发中有github地址
第一幕:缘起 听说阎王爷要做个生死簿后台管理系统,我们派去了一个程序员…… 996程序员做的梦: 第一场:团队招募 为了应对地府管理危机,阎王打算找“人”开发一套地府后台管理系统,于是就在地府总经办群中发了项目需求。 话说还是中国电信的信号好,地府都是满格,哈哈!!! 经常会有外行朋友问:看某网站做的不错,功能也简单,你帮忙做一下? 而这次,面对这样的需求,这个程序员
网易云6亿用户音乐推荐算法
网易云音乐是音乐爱好者的集聚地,云音乐推荐系统致力于通过 AI 算法的落地,实现用户千人千面的个性化推荐,为用户带来不一样的听歌体验。 本次分享重点介绍 AI 算法在音乐推荐中的应用实践,以及在算法落地过程中遇到的挑战和解决方案。 将从如下两个部分展开: AI 算法在音乐推荐中的应用 音乐场景下的 AI 思考 从 2013 年 4 月正式上线至今,网易云音乐平台持续提供着:乐屏社区、UGC
【技巧总结】位运算装逼指南
位算法的效率有多快我就不说,不信你可以去用 10 亿个数据模拟一下,今天给大家讲一讲位运算的一些经典例子。不过,最重要的不是看懂了这些例子就好,而是要在以后多去运用位运算这些技巧,当然,采用位运算,也是可以装逼的,不信,你往下看。我会从最简单的讲起,一道比一道难度递增,不过居然是讲技巧,那么也不会太难,相信你分分钟看懂。 判断奇偶数 判断一个数是基于还是偶数,相信很多人都做过,一般的做法的代码如下
日均350000亿接入量,腾讯TubeMQ性能超过Kafka
整理 | 夕颜出品 | AI科技大本营(ID:rgznai100) 【导读】近日,腾讯开源动作不断,相继开源了分布式消息中间件TubeMQ,基于最主流的 OpenJDK8开发的
8年经验面试官详解 Java 面试秘诀
    作者 | 胡书敏 责编 | 刘静 出品 | CSDN(ID:CSDNnews) 本人目前在一家知名外企担任架构师,而且最近八年来,在多家外企和互联网公司担任Java技术面试官,前后累计面试了有两三百位候选人。在本文里,就将结合本人的面试经验,针对Java初学者、Java初级开发和Java开发,给出若干准备简历和准备面试的建议。   Java程序员准备和投递简历的实
面试官如何考察你的思维方式?
1.两种思维方式在求职面试中,经常会考察这种问题:北京有多少量特斯拉汽车? 某胡同口的煎饼摊一年能卖出多少个煎饼? 深圳有多少个产品经理? 一辆公交车里能装下多少个乒乓球? 一
相关热词 c# 输入ip c# 乱码 报表 c#选择结构应用基本算法 c# 收到udp包后回包 c#oracle 头文件 c# 序列化对象 自定义 c# tcp 心跳 c# ice连接服务端 c# md5 解密 c# 文字导航控件
立即提问